.TH PARBATCH 1 "2024-02-22" "KIT" "SCC user documentation"
.SH NAME
parbatch \- wrapper to run many small sequential jobs in parallel
.SH SYNOPSIS
.B parbatch [-n <int>] joblist.txt
.SH DESCRIPTION
.BR parbatch
is a mpirun wrapper which takes a file with a list of commands and executes them as
sequential jobs on a cluster system in parallel

parbatch can be used in several ways:

.SS sbatch usage

.BR parbatch
joblist.txt

.BR parbatch
will automatically extract the correct number of nodes and processes per nodes from slurm and execute the jobs accordingly

.SS Interactive usage

.BR parbatch
-n <int> joblist.txt

If
.BR parbatch
is run interactively, one has to provide the number of tasks to use

.SS Format of the joblist file
.in +4n
line 1: command 1a; command 1b; command 1c
.br
line 2: command 2a; command 2b
.br
...
.br
line N: command Na; command Nb; command Nc; command Nd
.br
.in

.BR parbatch
will extract N lines from the joblist file.
Each line is treated as one command and executed in a single task

.SH Example

An example sbatch script and joblist can be found in the .BR parbatch  documentation directory

.SH "SEE ALSO"
mpirun(1),
sbatch(1).

.SH AUTHOR
Sven Trautmann <sven.trautmann@kit.edu>
